import { AnimationTree, float64 } from 'godot'
import Player from './player'
import PlayerInput from './player_input'

export default class PlayerAnimation extends AnimationTree {
  private static Interact = 'parameters/conditions/interact'

  player!: Player
  player_input!: PlayerInput

  _ready(): void {
    this.player = this.get_parent() as Player
    this.player_input = this.player.get_node(this.player.player_input!) as PlayerInput
  }

  _process(delta: float64): void {
  }
}
